osl::eval::ml::RookRook Class Reference

`#include <majorPiece.h>`

## Public Types

enum | { ONE_DIM = 800 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state)

## Static Private Member Functions

template<bool SamePlayer, Player P>
static int | index (Piece rook1, Piece rook2)
static int | index (bool same_player, bool promoted1, bool promoted2, int y1, int y2)

## Static Private Attributes

static CArray< MultiInt, 800 > | table

## Detailed Description

Definition at line 548 of file majorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 551 of file majorPiece.h.

## Member Function Documentation

## eval()

osl::MultiInt osl::eval::ml::RookRook::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 1061 of file majorPiece.cc.

References osl::BLACK, index(), osl::Piece::owner(), osl::SimpleState::pieceOf(), and table.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## index() [1/2]

int osl::eval::ml::RookRook::index | ( | bool | same_player,
|  | bool | promoted1,
|  | bool | promoted2,
|  | int | y1,
|  | int | y2 )

inline static private

Definition at line 595 of file majorPiece.h.

## index() [2/2]

template<bool SamePlayer, Player P>

int osl::eval::ml::RookRook::index | ( | Piece | rook1,
|  | Piece | rook2 )

inline static private

Definition at line 556 of file majorPiece.h.

References osl::BLACK, osl::Piece::isOnBoard(), osl::Piece::isPromoted(), osl::Piece::square(), and osl::Square::y().

Referenced by eval(), and setUp().

## setUp()

void osl::eval::ml::RookRook::setUp | ( | const Weights & | weights | ) |

static

Definition at line 1001 of file majorPiece.cc.

References index(), osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< MultiInt, 800 > osl::eval::ml::RookRook::table

static private

Definition at line 603 of file majorPiece.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc